# EyePoint H10

Серверно-аппаратное приложение с графическим интерфейсом для аналогового сигнатурного анализатора. Управляет генератором и измерительной аппаратурой, производит обработку измеренных сигналов, взаимодействует с клиентами по сети (установка настроек, передача результатов измерений).

## Запуск приложения без графического интерфейса в Windows

Перейдите в папку, в которой расположен исполняемый файл и запустите скрипт `run_release.bat`:

```bash
run_release.bat
```

В скрипте `run_release.bat` нужно прописать COM-порт, к которому подключен аналоговый сигнатурный анализатор, в формате `COMx`.

## Запуск приложения с графическим интерфейсом в Windows

Дважды кликните по иконке файла `EyePoint H10.exe`. Также можно перейти в терминале в папку, в которой расположен исполняемый файл, и выполнить команду:

```bash
"EyePoint H10.exe"
```

При запуске `EyePoint H10.exe` можно задать порт веб-сервера:

1. Из командной строки с помощью аргумента `-p`, например:

   ```bash
   "EyePoint H10.exe" -p 8081
   ```

2. В интерфейсе сервера во вкладке `Settings -> Server settings`.

**ВАЖНО**: изменить можно лишь порт веб-сервера.

## Запуск приложения без графического интерфейса в Linux

Установите утилиту `ethtool`:

```bash
sudo apt install ethtool
```

Перейдите в папку, в которой расположен исполняемый файл и запустите скрипт `run_release.sh`:

```bash
bash run_release.sh
```

В скрипте `run_release.sh` нужно прописать COM-порт, к которому подключен аналоговый сигнатурный анализатор, в формате `/dev/ttyUSBx`.

Для корректной работы приложения с COM-портами пользователь должен находиться в группе `dialout`. Чтобы добавить пользователя в эту группу, выполните команду (здесь предполагается, что имя пользователя `username`):

```bash
sudo adduser username dialout
```

## Запуск приложения с графическим интерфейсом в Linux

Установите утилиту `ethtool`:

```bash
sudo apt install ethtool
```

Дважды кликните по иконке файла `EyePoint H10`. Также можно перейти в терминале в папку, в которой расположен исполняемый файл, и выполнить команду:

```bash
./"EyePoint H10"
```

При запуске `EyePoint H10` можно задать порт веб-сервера:

1. Из командной строки с помощью аргумента `-p`, например:

   ```bash
   ./"EyePoint H10" -p 8081
   ```

2. В интерфейсе сервера во вкладке `Settings -> Server settings`.

**ВАЖНО**: изменить можно лишь порт веб-сервера.

Для корректной работы приложения с COM-портами пользователь должен находиться в группе `dialout`. Чтобы добавить пользователя в эту группу, выполните команду (здесь предполагается, что имя пользователя `username`):

```bash
sudo adduser username dialout
```

## Обновление сервера в коробке Meridian по сети Ethernet

1. Для обновления потребуется скрипт `server_updater_bin`. Поэтому скачайте и распакуйте архив `server_updater_bin.zip`. Если имеется доступ к https://ximc.ru/, архив `server_updater_bin.zip` можно сказать [здесь](https://ximc.ru/projects/meridian/wiki/%D0%9E%D0%B1%D0%BD%D0%BE%D0%B2%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5_%D1%81%D0%B5%D1%80%D0%B2%D0%B5%D1%80%D0%B0_%D0%BF%D0%BE_%D1%81%D0%B5%D1%82%D0%B8_Ethernet).

2. Положите архив с релизом в папку `server_updater_bin`.

3. Пропишите имя архива с релизом в файле `server_updater_bin/config.ini` в переменной `source_file`, например:

   ```
   source_file = md_asa_server-4.3.2-meridian.zip
   ```

4. Пропишите путь до бинарного файла в `server_updater_bin/config.ini` в переменной `binary_file_path`, например:

   ```
   binary_file_path = mdserver/EyePoint H10 console
   ```

5. Установите зависимости, запустив скрипт `install.bat`:

   ```bash
   install.bat
   ```

6. Обновите сервер в коробке Meridian, запустив скрипт `run.bat`:

   ```bash
   run.bat
   ```

7. Перезагрузите устройство с помощью кнопку `Вкл/Выкл`.

## Примечание к запуску

При запуске сервера без графического интерфейса серверу можно передать следующие аргументы, прописав их в файлах `run.bat` и `run.sh`:

- `--help` - вывод протокола функций;
- `--virtual` - запуск виртуального режима;
- `--real` - запуск реального режима;
- `-port` - COM-порт устройства (при работе в реальном режиме).

При запуске сервера с графическим интерфейсом серверу можно передать следующие аргументы, прописав их в файлах `run_gui.bat` и `run_gui.sh`:

- `-p` - сетевой порт для веб-сервера.
